org.apache.felix.ipojo.extender.queue

## Interface Job<T>

All Superinterfaces:
  org.osgi.framework.BundleReference, java.util.concurrent.Callable<T>

All Known Implementing Classes:
  DefaultJob

    public interface Job<T>
    extends java.util.concurrent.Callable<T>, org.osgi.framework.BundleReference

Represents a task that can be executed by the `QueueService`.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getJobType()` The `jobType` is used to describe what is this job about.

### Methods inherited from interface java.util.concurrent.Callable

`call`

### Methods inherited from interface org.osgi.framework.BundleReference

`getBundle`

### Method Detail

#### getJobType

    java.lang.String getJobType()

The `jobType` is used to describe what is this job about.

Returns:
  the job type identifier